Main Page Widgets Namespaces Book

# Gtk::CellRendererPixbuf Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererPixbuf:

[legend]

List of all members.

## Detailed Description

Renders a pixbuf in a cell.

A CellRendererPixbuf can be used to render an image in a cell. It allows you to render either a given Pixbuf (set via the pixbuf property) or a stock icon (set via the stock_id property).

To support the tree view, CellRendererPixbuf also supports rendering two alternative pixbufs, when the is_expanded property is true. If the is_expanded property is true and the pixbuf_expander_open property is set to a pixbuf, it renders that pixbuf. If the is_expanded property is false and the* pixbuf_expander_closed property is set to a pixbuf, it renders that one.

## Public Member Functions

virtual Glib::PropertyProxy_Base | _property_renderable ()
| Returns the property that this CellRenderer renders.
| CellRendererPixbuf ()
const GtkCellRendererPixbuf* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererPixbuf* | gobj ()
| Provides access to the underlying C GtkObject.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gio::Icon>> | property_gicon () const
| The GIcon being displayed.
Glib::PropertyProxy <Glib::RefPtr<Gio::Icon>> | property_gicon ()
| The GIcon being displayed.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gdk::Pixbuf>> | property_pixbuf () const
| The pixbuf to render.
Glib::PropertyProxy <Glib::RefPtr<Gdk::Pixbuf>> | property_pixbuf ()
| The pixbuf to render.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gdk::Pixbuf>> | property_pixbuf_expander_closed () const
| Pixbuf for closed expander.
Glib::PropertyProxy <Glib::RefPtr<Gdk::Pixbuf>> | property_pixbuf_expander_closed ()
| Pixbuf for closed expander.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gdk::Pixbuf>> | property_pixbuf_expander_open () const
| Pixbuf for open expander.
Glib::PropertyProxy <Glib::RefPtr<Gdk::Pixbuf>> | property_pixbuf_expander_open ()
| Pixbuf for open expander.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_stock_detail () const
| Render detail to pass to the theme engine.
Glib::PropertyProxy <Glib::ustring> | property_stock_detail ()
| Render detail to pass to the theme engine.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_stock_id () const
| The stock ID of the stock icon to render.
Glib::PropertyProxy <Glib::ustring> | property_stock_id ()
| The stock ID of the stock icon to render.
Glib::PropertyProxy_ReadOnly <guint> | property_stock_size () const
| The GtkIconSize value that specifies the size of the rendered icon.
Glib::PropertyProxy<guint> | property_stock_size ()
| The GtkIconSize value that specifies the size of the rendered icon.
virtual | ~CellRendererPixbuf ()

## Related Functions

(Note that these are not member functions.)
Gtk::CellRendererPixbuf* | wrap (GtkCellRendererPixbuf* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::CellRendererPixbuf::~CellRendererPixbuf | ( |  | ) | `[virtual]`

Gtk::CellRendererPixbuf::CellRendererPixbuf | ( |  | ) |

## Member Function Documentation

virtual Glib::PropertyProxy_Base Gtk::CellRendererPixbuf::_property_renderable | ( |  | ) | `[virtual]`

Returns the property that this CellRenderer renders.

For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes.

Reimplemented from Gtk::CellRenderer.

const GtkCellRendererPixbuf* Gtk::CellRendererPixbuf::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

GtkCellRendererPixbuf* Gtk::CellRendererPixbuf::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::Icon> > Gtk::CellRendererPixbuf::property_gicon | ( |  | ) | const

The GIcon being displayed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gio::Icon> > Gtk::CellRendererPixbuf::property_gicon | ( |  | ) |

The GIcon being displayed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gdk::Pixbuf>> Gtk::CellRendererPixbuf::property_pixbuf | ( |  | ) | const

The pixbuf to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gdk::Pixbuf>> Gtk::CellRendererPixbuf::property_pixbuf | ( |  | ) |

The pixbuf to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gdk::Pixbuf>> Gtk::CellRendererPixbuf::property_pixbuf_expander_closed | ( |  | ) | const

Pixbuf for closed expander.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gdk::Pixbuf>> Gtk::CellRendererPixbuf::property_pixbuf_expander_closed | ( |  | ) |

Pixbuf for closed expander.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gdk::Pixbuf>> Gtk::CellRendererPixbuf::property_pixbuf_expander_open | ( |  | ) | const

Pixbuf for open expander.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gdk::Pixbuf>> Gtk::CellRendererPixbuf::property_pixbuf_expander_open | ( |  | ) |

Pixbuf for open expander.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererPixbuf::property_stock_detail | ( |  | ) | const

Render detail to pass to the theme engine.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererPixbuf::property_stock_detail | ( |  | ) |

Render detail to pass to the theme engine.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::CellRendererPixbuf::property_stock_id | ( |  | ) | const

The stock ID of the stock icon to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::CellRendererPixbuf::property_stock_id | ( |  | ) |

The stock ID of the stock icon to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::CellRendererPixbuf::property_stock_size | ( |  | ) | const

The GtkIconSize value that specifies the size of the rendered icon.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::CellRendererPixbuf::property_stock_size | ( |  | ) |

The GtkIconSize value that specifies the size of the rendered icon.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::CellRendererPixbuf* wrap | ( | GtkCellRendererPixbuf * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrendererpixbuf.h